org.jbpm.services.cdi.impl.form.providers

## Class InMemoryFormProviderCDI

- java.lang.Object
- - org.jbpm.kie.services.impl.form.provider.AbstractFormProvider
  - - org.jbpm.kie.services.impl.form.provider.FreemakerFormProvider
    - - org.jbpm.kie.services.impl.form.provider.InMemoryFormProvider
      - - org.jbpm.services.cdi.impl.form.providers.InMemoryFormProviderCDI

- All Implemented Interfaces:
    FormProvider

      public class InMemoryFormProviderCDI
      extends InMemoryFormProvider

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.kie.services.impl.form.provider.AbstractFormProvider

      `formManagerService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InMemoryFormProviderCDI()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setFormManagerService(FormManagerService formManagerService)`

    - ### Methods inherited from class org.jbpm.kie.services.impl.form.provider.InMemoryFormProvider

      `getFormExtension, getPriority, render, render`

    - ### Methods inherited from class org.jbpm.kie.services.impl.form.provider.FreemakerFormProvider

      `render`

    - ### Methods inherited from class org.jbpm.kie.services.impl.form.provider.AbstractFormProvider

      `getFormSuffix, getTaskFormName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InMemoryFormProviderCDI

          public InMemoryFormProviderCDI()

  - ### Method Detail

    - #### setFormManagerService

          @Inject
          public void setFormManagerService(FormManagerService formManagerService)

      Specified by:
        `setFormManagerService` in interface `FormProvider`
      Overrides:
        `setFormManagerService` in class `AbstractFormProvider`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.